Skip to main content

Retrieve Single Payment Token

GET 

/buyers/{buyer-id}/payment-tokens/{payment-token-id}

Retrieves a single payment token of a Buyer.

Request

Path Parameters

    buyer-id BuyerIdrequired

    Possible values: <= 255 characters

    Unique identifier of the customer in your system.

    payment-token-id Payment Token IDrequired

    Represents a customer bank account in the Nuvei system.

Responses

OK

Schema

    paymentToken

    object

    paymentTokenId Payment Token ID (string)required
    Example: 1eaf1356-a9a2-4a16-a0c1-290ba2265257
    cccId Credit Card Company ID (integer)

    ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover

    Example: 1
    displayName string

    Payment Token Display Name

    paymentOption

    object

    required

    card

    object

    cardHolderName CardHolderName (string)

    The cardholder name.

    Possible values: <= 70 characters

    Example: Jada Pinkett
    maskedCardNumber CardNumberMasked (string)

    The masked credit card number.

    Possible values: <= 20 characters

    Example: 5***6597
    bin CardBIN (string)

    The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.

    Possible values: <= 8 characters

    Example: 546221
    expirationMonth Card Expiration - Month (string)required

    The card expiration month.

    Possible values: Value must match regular expression ^(0[1-9]|1[0-2])$

    Example: 06
    expirationYear Card Expiration - Year (string)required

    The card expiration year.

    Possible values: Value must match regular expression ^(\d{4}|\d{2})$

    Example: 2022
    cardType CardType (string)

    The type of card used in the transaction.

    Possible values: [Credit, Debit]

    cardBrand CardBrand (string)

    The card brand used in the transaction.

    secondaryBrand CardBrand (string)

    The card brand used in the transaction.

    isDualBranded boolean
    lastBrand CardBrand (string)

    The card brand used in the transaction.

    cardProduct string
    cardProgram string
    cardProductType string
    isPrepaid boolean

    Indicates if the card is prepaid or not.

    issuerCountry string

    Possible values: >= 2 characters and <= 2 characters

    issuerBankName string
    isVirtual boolean
    isDynamicCurrencyConversionSupported boolean

    alternativePaymentMethod

    object

    name stringrequired

    Possible values: non-empty and <= 50 characters

    Example: ACH
    data object
    Example: {"accountNumber":"11345739548759","routingNumber":"847937857"}
    status PaymentTokenStatus (string)

    The status of the payment token.

    Possible values: [active, suspended, disabled]

    buyerId BuyerId (string)

    Possible values: <= 255 characters

    merchantReference Merchant Reference for Payment Token (string)

    Merchant Reference for a business entity (token, subscription, etc.)

    Possible values: <= 50 characters

    Example: MREF_6f06168d-ff6e-448b-8401-30051eb6b1af
    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    Example: 80aef199-b89a-4d59-ba0c-f2cd3c25d5cd
    usageIntent declared MIT usage for the payment token (string)

    Possible values: [recurring, unscheduled]

    result

    object

    required

    status stringrequired

    Possible values: [success, error]

    errors

    object

    code string

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Unexpected error
    reference string

    Internal reference for troubleshooting

    Possible values: <= 400 characters

Loading...